import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function increOrderSettleGetBrand(params) {
  return request({
    url: '/incre/order/settle/getBrand',
    method: 'post',
    params
  })
}

export function increOrderSettleGetCategoryList(params) {
  return request({
    url: '/incre/order/settle/getCategoryList',
    method: 'post',
    params
  })
}

export function increOrderSettleGetIncreItem(params) {
  return request({
    url: '/incre/order/settle/getIncreItem',
    method: 'post',
    params
  })
}

export function increOrderSettleGetWebsit(params) {
  return request({
    url: '/incre/order/settle/getWebsit',
    method: 'post',
    params
  })
}
export function increOrderSettleGeneratePayCode(params) {
  return request({
    url: '/incre/order/settle/generate/pay/code',
    method: 'post',
    params
  })
}

// ----------------

export function increOrderSettleExamine(data) {
  return request({
    url: `/incre/order/settle/examine`,
    method: 'post',
    data
  })
}
export function increOrderSettleAdd(data) {
  return request({
    url: `/incre/order/settle/add`,
    method: 'post',
    data
  })
}
export function increOrderSettleList2(data) {
  return request({
    url: `/incre/order/settle/list2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function increOrderSettleCountWorkerList(data) {
  return request({
    url: `/incre/order/settle/count/worker/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function increOrderSettleListExport2(data, name) {
  return postBlob({
    url: '/incre/order/settle/list/export2',
    data,
    name
  })
}
export function increOrderSettleCountWorkerListExport(data, name) {
  return postBlob({
    url: '/incre/order/settle/count/worker/list/export',
    data,
    name
  })
}

export function increOrderSettleList(data) {
  return request({
    url: `/incre/order/settle/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function increOrderSettleListExport(data, name) {
  return postBlob({
    url: '/incre/order/settle/list/export',
    data,
    name
  })
}

export function increOrderSettleDetail(params) {
  return request({
    url: '/incre/order/settle/detail',
    method: 'post',
    params: params
  })
}

export function increOrderSettleConfirm(data) {
  return request({
    url: '/incre/order/settle/confirm',
    method: 'post',
    data: data
  })
}

export function increOrderSettleRefund(params) {
  return request({
    url: '/incre/order/settle/refund',
    method: 'post',
    params: params
  })
}

